SDL_Palette Struct Reference

`#include <SDL_pixels.h>`

Collaboration diagram for SDL_Palette:
[legend]

## Data Fields

int | ncolors
SDL_Color * | colors
Uint32 | version
int | refcount

## Detailed Description

A set of indexed colors representing a palette.

Since
  This struct is available since SDL 3.2.0.

See also
  SDL_SetPaletteColors

Definition at line 1141 of file SDL_pixels.h.

## Field Documentation

## colors

SDL_Color* SDL_Palette::colors

an array of colors, `ncolors` long.

Definition at line 1144 of file SDL_pixels.h.

## ncolors

int SDL_Palette::ncolors

number of elements in `colors`.

Definition at line 1143 of file SDL_pixels.h.

## refcount

int SDL_Palette::refcount

internal use only, do not touch.

Definition at line 1146 of file SDL_pixels.h.

## version

Uint32 SDL_Palette::version

internal use only, do not touch.

Definition at line 1145 of file SDL_pixels.h.

The documentation for this struct was generated from the following file:

- SDL_pixels.h